View Issue Details

IDProjectCategoryView StatusLast Update
0038080LazarusDebuggerpublic2020-11-28 11:15
ReporterC Western Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformx864_64OSlinux 
Product Version2.0.9 (SVN) 
Fixed in Version2.2 
Summary0038080: ExitCode not reset to zero after running
DescriptionThe ExitCode for the gdb debugger is not reset to 0 on re-running a program
Steps To ReproduceRun a program with debugging that returns a non zero exit code (say 7)
- IDE displays exit code as 7
Alter program to return zero exit code and run
- IDE still displays exit code as 7
On restarting the IDE and re-running the program the exit code is not displayed, as expected.
Additional InformationPresumably TDebuggerIntf.SetExitCode(0) needs to be called at a strategic point.
TagsNo tags attached.
Fixed in Revision64154
LazTarget2.2
Widgetset
Attached Files

Activities

Martin Friebe

2020-11-22 16:07

manager   ~0127107

Please test and close

C Western

2020-11-28 11:15

reporter   ~0127231

Looks good - thank you.

Issue History

Date Modified Username Field Change
2020-11-14 11:01 C Western New Issue
2020-11-14 11:01 C Western Status new => assigned
2020-11-14 11:01 C Western Assigned To => Martin Friebe
2020-11-22 16:07 Martin Friebe Status assigned => resolved
2020-11-22 16:07 Martin Friebe Resolution open => fixed
2020-11-22 16:07 Martin Friebe Fixed in Version => 2.2
2020-11-22 16:07 Martin Friebe Fixed in Revision => 64154
2020-11-22 16:07 Martin Friebe LazTarget => 2.2
2020-11-22 16:07 Martin Friebe Note Added: 0127107
2020-11-28 11:15 C Western Status resolved => closed
2020-11-28 11:15 C Western Note Added: 0127231